server:
  port: 8041

eureka:
  instance:
    instance-id: ${spring.cloud.client.ip-address}:${server.port}
    prefer-ip-address: true
  client:
    serviceUrl:
      defaultZone: http://user:password123@${EUREKA_HOST:192.168.77.24}:8761/eureka

spring:
  application:
    name: cctp-flowable
  cloud:
    inetutils:
      timeout-seconds: 10
  datasource:
    name: Hikari-CCTP
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.77.26:3306/cctp_flowable?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    username: northking
    password: northking@002987
    #    initialization-mode: always
    #    schema: classpath:db/mysql/schema/*.sql
    #    data: classpath:db/mysql/data/*.sql
    hikari:
      minimum-idle: 2
      maximum-pool-size: 5
      auto-commit: true
  jpa:
    hibernate:
      ddl-auto: update
      format-sql: true
    show-sql: true
  redis:
    host: 192.168.77.26
    port: 6379
    password: northking@002987
    database: 1
    lettuce:
      pool:
        max-active: 5
        max-idle: 5
  rabbitmq:
    host: 172.16.77.26
    port: 5672
    virtual-host: cloud
    username: cloud
    password: 123456
flowable:
  async-executor-activate: false
  database-schema-update: false

logging:
  config: classpath:logback-rabbitmq.xml

nk:
  security:
    include-urls:
      - "/v1/*"
  swagger2:
    basePackage: net.northking.cctp
    title: ${spring.application.name}
    description: description
    version: 1.0
  platform:
    examString: test
    examObj:
      ip: 110.110.110.110
      port: 9527






